{-# OPTIONS_GHC -Wno-missing-signatures #-}
module Functions
  ( isImageFilename
  , convertedImageFilename
  , listDirectory
  , convertImage
  , saveFile
  , runPandoc
  ) where

import FunctionImplementations.Pure
import FunctionImplementations.IO
import ComputationM

isImageFilename = runFunction IsImageFilename
convertedImageFilename = runFunction ConvertedImageFilename

listDirectory = runFunctionIO ListDirectory
convertImage = runFunctionIO ConvertImage
saveFile = runFunctionIO SaveFile
runPandoc = runFunctionIO RunPandoc
